metobs_toolkit.dataset.Dataset.import_gee_data_from_file#
- Dataset.import_gee_data_from_file(filepath: str | PathLike, gee_dynamic_manager: GEEDynamicDatasetManager, force_update: bool = True, _force_from_dataframe: DataFrame | None = None) DataFrame[source]#
Import Google Earth Engine (GEE) data from a CSV file
Import Google Earth Engine (GEE) data from a file, that was writen in your Google Drive, and integrate it into the dataset. Start by downloading the target CSV file from your Google Drive, then specify the path to the file in the filepath parameter.
- Parameters:
filepath (str or PathLike) – The path to the file containing the GEE data.
gee_dynamic_manager (GEEDynamicDatasetManager) – An instance of GEEDynamicDatasetManager responsible for managing the GEE dataset and its metadata.
force_update (bool, optional) – If True, forces the update of model data for the stations, by default True.
_force_from_dataframe (pd.DataFrame, optional) – A pre-processed DataFrame to be used instead of reading from the file, by default None.
- Returns:
The processed DataFrame containing the GEE data.
- Return type:
pd.DataFrame